<?php

namespace App\Modules\EmailShip\Domain;

class InsertEmailShip {

    /** constructor */
    public function __construct (
        private EmailShipTo $to,
        private EmailShipBcc $bcc,
        private EmailShipStatus $status
    ) {
    }

    public function getTo():EmailShipTo { return $this->to; }
    public function getBcc():EmailShipBcc { return $this->bcc; }
    public function getStatus():EmailShipStatus { return $this->status; }

}